# $Revision: 1.24 $, $Date: 2007/02/13 06:46:51 $
Summary:	Rsync libraries
Summary(pl.UTF-8):	Biblioteki rsync
Name:		librsync
Version:	0.9.7
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/librsync/%{name}-%{version}.tar.gz
# Source0-md5:	24cdb6b78f45e0e83766903fd4f6bc84
Patch0:		%{name}-link.patch
URL:		http://librsync.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

%description -l pl.UTF-8
librsync jest implementacją algorytmu rsync, pozwalającego na zdalne
porównywanie plików binarnych. librsync liczy różnice sum kontrolnych
plików, więc nie wymaga obecności obu plików do sprawdzenia różnic.

Ta biblioteka była wcześniej znana jako libhsync, do wersji 0.9.0
włącznie.

Ta wersja nie ma implementacji sieciowego protokołu rsync i używa
formatu delt nieco wydajniejszego i niekompatybilnego z rsyncem w
wersji 2.4.6.

%package devel
Summary:	Headers for librsync
Summary(pl.UTF-8):	Pliki nagłówkowe librsync
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files necessary for developing programs
based on librsync.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania programów
używających librsync.

%package static
Summary:	Static librsync library
Summary(pl.UTF-8):	Statyczna biblioteka librsync
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static librsync library.

%description static -l pl.UTF-8
Statyczna biblioteka librsync.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/rdiff
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/rdiff.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librsync.spec,v $
Revision 1.24  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.22  2005/05/22 22:19:03  heretyk
- package rdiff program binary instead of temporary wrapper script
- rel. 3, STBR

Revision 1.21  2004/10/19 00:28:55  havner
- rel 2

Revision 1.20  2004/10/18 20:45:36  qboosh
- huh... added link patch, now only popt-devel is BRed (and not propagated)

Revision 1.19  2004/10/18 20:25:06  qboosh
- BR+R: bzip2-devel,popt-devel,zlib-devel

Revision 1.18  2004/10/18 11:21:09  arekm
- updated to 0.9.7 (important LFS fixes)

Revision 1.17  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.16  2004/04/19 22:04:48  twittner
- rel.2 for Ac

Revision 1.15  2003/08/09 09:04:39  areq
- 0.9.6
- update URL

Revision 1.14  2003/07/03 14:40:44  qboosh
- standardized sf URLs, other cleanups

Revision 1.13  2003/05/28 12:59:31  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:50:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/15 18:48:00  misiek
- no gettext

Revision 1.10  2002/11/25 14:17:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/10/09 10:22:10  qboosh
- BR: gettext-devel

Revision 1.8  2002/07/20 22:38:39  marcus
- now builds with ac2.53/am1.6
- rel.2.

Revision 1.7  2002/07/13 22:44:57  areq
- 0.9.5.1, STBR
- source from http://rdiff-backup.stanford.edu/librsync-0.9.5.1.tar.gz
  ( Unfortunately the current official version of librsync leaks a lot
    of memory)

Revision 1.6  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.5  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:13:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/05/17 12:18:59  qboosh
- remaining pl translations; release 2

Revision 1.2  2002/05/15 16:11:51  kloczek
- enable building shared library,
- added static subpackage.
- some small improvments and cosmetcs.

Revision 1.1  2002/05/15 11:13:27  areq
- Init PLD spec
